AurionAI Docs

Set Agent Status

PUT
/api/v2/agent-availability/agents/{user_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

user_id*User Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v2/agent-availability/agents/string" \  -H "Content-Type: application/json" \  -d '{    "status_key": "string"  }'
{
  "allows_assignment": false,
  "custom_message": "string",
  "emoji": "string",
  "label": "string",
  "status_key": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "user_email": "string",
  "user_id": "string",
  "user_name": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}